Index: Makefile
===================================================================
RCS file: /meow/ncvs/ports/devel/icu2/Makefile,v
retrieving revision 1.7
diff -U2 -r1.7 Makefile
--- Makefile	14 Mar 2004 02:02:07 -0000	1.7
+++ Makefile	15 Nov 2004 19:33:43 -0000
@@ -6,6 +6,6 @@
 #
 
-PORTNAME=	icu2
-PORTVERSION=	2.8
+PORTNAME=	icu
+PORTVERSION=	3.0
 CATEGORIES=	devel
 MASTER_SITES=	ftp://www-126.ibm.com/pub/icu/${PORTVERSION}/
@@ -27,8 +27,8 @@
 GNU_CONFIGURE=		yes
 CONFIGURE_SCRIPT=	runConfigureICU
-CONFIGURE_ARGS+=	FreeBSD
+CONFIGURE_ARGS+=	${OPSYS}
 CONFIGURE_ARGS+=	--enable-shared
 CONFIGURE_ARGS+=	--enable-static
-CONFIGURE_ARGS+=	--enable-samples=no --enable-tests=no
+CONFIGURE_ARGS+=	--enable-samples=no --enable-tests=yes
 .if defined(NO_THREADS)
 CONFIGURE_ARGS+=	--enable-threads=no
@@ -39,7 +39,6 @@
 			PTHREAD_LIBS="${PTHREAD_LIBS}"
 .endif
-CONFIGURE_ENV+=		CXXFLAGS="-O3"
-CONFIGURE_ENV+=		CFLAGS="-O3"
 USE_GMAKE=		yes
+CONFIGURE_ENV+=		CFLAGS="${CFLAGS}" CC="${CC}" CXX="${CXX}"
 
 MAN1+=	gencnval.1
@@ -65,12 +64,26 @@
 pre-fetch:
 .if !defined(BATCH) && !defined(PACKAGE_BUILDING)
-	@${ECHO} ''
-	@${ECHO} 'You may use the following build options by defining'
-	@${ECHO} 'them on the command line with -D'
-	@${ECHO} ''
-	@${ECHO} 'NO_THREADS	do not build a thread enabled library'
-	@${ECHO} ''
-	@/bin/sleep 2
+	#
+	# You may use the following build options by defining
+	# them on the command line with -D
+	#
+	# NO_THREADS	do not build a thread enabled library
+	#
 .endif
 
+pre-patch:
+# VPATH does not work due to IBM's mistake:
+	${LN} -s ${FILESDIR}/*.ucm ${WRKSRC}/source/data/mappings/
+	@for l in ${FILESDIR}/*.ucm ; do \
+		echo UCM_SOURCE_LOCAL+=`basename $$l` >> \
+		    ${WRKSRC}/source/data/mappings/ucmlocal.mk ; \
+	done
+
+post-build test:
+	${GMAKE} -C ${ICUWRKSRC}/test
+.for t in intltest iotest cintltst
+	cd ${ICUWRKSRC}/test/$t && ${SETENV} LANG=C \
+	    LD_LIBRARY_PATH=${ICUWRKSRC}/lib:${ICUWRKSRC}/tools/ctestfw ./$t
+.endfor
+
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /meow/ncvs/ports/devel/icu2/distinfo,v
retrieving revision 1.4
diff -U2 -r1.4 distinfo
--- distinfo	14 Mar 2004 02:02:07 -0000	1.4
+++ distinfo	15 Nov 2004 16:40:45 -0000
@@ -1,2 +1,2 @@
-MD5 (icu-2.8.tgz) = 49b5509c111596e958a87f3b17432cdd
-SIZE (icu-2.8.tgz) = 9194758
+MD5 (icu-3.0.tgz) = f66c1e6f4622a2d880a5f056d86b5a38
+SIZE (icu-3.0.tgz) = 9486138
Index: files/koi8-u.ucm
===================================================================
RCS file: files/koi8-u.ucm
diff -N files/koi8-u.ucm
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/koi8-u.ucm	15 Nov 2004 16:28:09 -0000
@@ -0,0 +1,272 @@
+#
+# $Id: koi8-u.ucm,v 2.0 2004/05/16 20:55:26 dankogai Exp $
+#
+# Written $Id: koi8-u.ucm,v 2.0 2004/05/16 20:55:26 dankogai Exp $
+# ./compile -n koi8-u -o Encode/koi8-u.ucm Encode/koi8-u.enc
+
+<code_set_name> "koi8-u"
+<char_name_mask>              "AXXXX"
+<mb_cur_min> 1
+<mb_cur_max> 1
+<uconv_class>                 "SBCS"
+<subchar>                     \x1A
+<icu:charsetFamily>           "ASCII"
+
+CHARMAP
+<U0000> \x00 |0 # <control>
+<U0001> \x01 |0 # <control>
+<U0002> \x02 |0 # <control>
+<U0003> \x03 |0 # <control>
+<U0004> \x04 |0 # <control>
+<U0005> \x05 |0 # <control>
+<U0006> \x06 |0 # <control>
+<U0007> \x07 |0 # <control>
+<U0008> \x08 |0 # <control>
+<U0009> \x09 |0 # <control>
+<U000A> \x0A |0 # <control>
+<U000B> \x0B |0 # <control>
+<U000C> \x0C |0 # <control>
+<U000D> \x0D |0 # <control>
+<U000E> \x0E |0 # <control>
+<U000F> \x0F |0 # <control>
+<U0010> \x10 |0 # <control>
+<U0011> \x11 |0 # <control>
+<U0012> \x12 |0 # <control>
+<U0013> \x13 |0 # <control>
+<U0014> \x14 |0 # <control>
+<U0015> \x15 |0 # <control>
+<U0016> \x16 |0 # <control>
+<U0017> \x17 |0 # <control>
+<U0018> \x18 |0 # <control>
+<U0019> \x19 |0 # <control>
+<U001A> \x1A |0 # <control>
+<U001B> \x1B |0 # <control>
+<U001C> \x1C |0 # <control>
+<U001D> \x1D |0 # <control>
+<U001E> \x1E |0 # <control>
+<U001F> \x1F |0 # <control>
+<U0020> \x20 |0 # SPACE
+<U0021> \x21 |0 # EXCLAMATION MARK
+<U0022> \x22 |0 # QUOTATION MARK
+<U0023> \x23 |0 # NUMBER SIGN
+<U0024> \x24 |0 # DOLLAR SIGN
+<U0025> \x25 |0 # PERCENT SIGN
+<U0026> \x26 |0 # AMPERSAND
+<U0027> \x27 |0 # APOSTROPHE
+<U0028> \x28 |0 # LEFT PARENTHESIS
+<U0029> \x29 |0 # RIGHT PARENTHESIS
+<U002A> \x2A |0 # ASTERISK
+<U002B> \x2B |0 # PLUS SIGN
+<U002C> \x2C |0 # COMMA
+<U002D> \x2D |0 # HYPHEN-MINUS
+<U002E> \x2E |0 # FULL STOP
+<U002F> \x2F |0 # SOLIDUS
+<U0030> \x30 |0 # DIGIT ZERO
+<U0031> \x31 |0 # DIGIT ONE
+<U0032> \x32 |0 # DIGIT TWO
+<U0033> \x33 |0 # DIGIT THREE
+<U0034> \x34 |0 # DIGIT FOUR
+<U0035> \x35 |0 # DIGIT FIVE
+<U0036> \x36 |0 # DIGIT SIX
+<U0037> \x37 |0 # DIGIT SEVEN
+<U0038> \x38 |0 # DIGIT EIGHT
+<U0039> \x39 |0 # DIGIT NINE
+<U003A> \x3A |0 # COLON
+<U003B> \x3B |0 # SEMICOLON
+<U003C> \x3C |0 # LESS-THAN SIGN
+<U003D> \x3D |0 # EQUALS SIGN
+<U003E> \x3E |0 # GREATER-THAN SIGN
+<U003F> \x3F |0 # QUESTION MARK
+<U0040> \x40 |0 # COMMERCIAL AT
+<U0041> \x41 |0 # LATIN CAPITAL LETTER A
+<U0042> \x42 |0 # LATIN CAPITAL LETTER B
+<U0043> \x43 |0 # LATIN CAPITAL LETTER C
+<U0044> \x44 |0 # LATIN CAPITAL LETTER D
+<U0045> \x45 |0 # LATIN CAPITAL LETTER E
+<U0046> \x46 |0 # LATIN CAPITAL LETTER F
+<U0047> \x47 |0 # LATIN CAPITAL LETTER G
+<U0048> \x48 |0 # LATIN CAPITAL LETTER H
+<U0049> \x49 |0 # LATIN CAPITAL LETTER I
+<U004A> \x4A |0 # LATIN CAPITAL LETTER J
+<U004B> \x4B |0 # LATIN CAPITAL LETTER K
+<U004C> \x4C |0 # LATIN CAPITAL LETTER L
+<U004D> \x4D |0 # LATIN CAPITAL LETTER M
+<U004E> \x4E |0 # LATIN CAPITAL LETTER N
+<U004F> \x4F |0 # LATIN CAPITAL LETTER O
+<U0050> \x50 |0 # LATIN CAPITAL LETTER P
+<U0051> \x51 |0 # LATIN CAPITAL LETTER Q
+<U0052> \x52 |0 # LATIN CAPITAL LETTER R
+<U0053> \x53 |0 # LATIN CAPITAL LETTER S
+<U0054> \x54 |0 # LATIN CAPITAL LETTER T
+<U0055> \x55 |0 # LATIN CAPITAL LETTER U
+<U0056> \x56 |0 # LATIN CAPITAL LETTER V
+<U0057> \x57 |0 # LATIN CAPITAL LETTER W
+<U0058> \x58 |0 # LATIN CAPITAL LETTER X
+<U0059> \x59 |0 # LATIN CAPITAL LETTER Y
+<U005A> \x5A |0 # LATIN CAPITAL LETTER Z
+<U005B> \x5B |0 # LEFT SQUARE BRACKET
+<U005C> \x5C |0 # REVERSE SOLIDUS
+<U005D> \x5D |0 # RIGHT SQUARE BRACKET
+<U005E> \x5E |0 # CIRCUMFLEX ACCENT
+<U005F> \x5F |0 # LOW LINE
+<U0060> \x60 |0 # GRAVE ACCENT
+<U0061> \x61 |0 # LATIN SMALL LETTER A
+<U0062> \x62 |0 # LATIN SMALL LETTER B
+<U0063> \x63 |0 # LATIN SMALL LETTER C
+<U0064> \x64 |0 # LATIN SMALL LETTER D
+<U0065> \x65 |0 # LATIN SMALL LETTER E
+<U0066> \x66 |0 # LATIN SMALL LETTER F
+<U0067> \x67 |0 # LATIN SMALL LETTER G
+<U0068> \x68 |0 # LATIN SMALL LETTER H
+<U0069> \x69 |0 # LATIN SMALL LETTER I
+<U006A> \x6A |0 # LATIN SMALL LETTER J
+<U006B> \x6B |0 # LATIN SMALL LETTER K
+<U006C> \x6C |0 # LATIN SMALL LETTER L
+<U006D> \x6D |0 # LATIN SMALL LETTER M
+<U006E> \x6E |0 # LATIN SMALL LETTER N
+<U006F> \x6F |0 # LATIN SMALL LETTER O
+<U0070> \x70 |0 # LATIN SMALL LETTER P
+<U0071> \x71 |0 # LATIN SMALL LETTER Q
+<U0072> \x72 |0 # LATIN SMALL LETTER R
+<U0073> \x73 |0 # LATIN SMALL LETTER S
+<U0074> \x74 |0 # LATIN SMALL LETTER T
+<U0075> \x75 |0 # LATIN SMALL LETTER U
+<U0076> \x76 |0 # LATIN SMALL LETTER V
+<U0077> \x77 |0 # LATIN SMALL LETTER W
+<U0078> \x78 |0 # LATIN SMALL LETTER X
+<U0079> \x79 |0 # LATIN SMALL LETTER Y
+<U007A> \x7A |0 # LATIN SMALL LETTER Z
+<U007B> \x7B |0 # LEFT CURLY BRACKET
+<U007C> \x7C |0 # VERTICAL LINE
+<U007D> \x7D |0 # RIGHT CURLY BRACKET
+<U007E> \x7E |0 # TILDE
+<U007F> \x7F |0 # <control>
+<U2500> \x80 |0 # BOX DRAWINGS LIGHT HORIZONTAL
+<U2502> \x81 |0 # BOX DRAWINGS LIGHT VERTICAL
+<U250C> \x82 |0 # BOX DRAWINGS LIGHT DOWN AND RIGHT
+<U2510> \x83 |0 # BOX DRAWINGS LIGHT DOWN AND LEFT
+<U2514> \x84 |0 # BOX DRAWINGS LIGHT UP AND RIGHT
+<U2518> \x85 |0 # BOX DRAWINGS LIGHT UP AND LEFT
+<U251C> \x86 |0 # BOX DRAWINGS LIGHT VERTICAL AND RIGHT
+<U2524> \x87 |0 # BOX DRAWINGS LIGHT VERTICAL AND LEFT
+<U252C> \x88 |0 # BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
+<U2534> \x89 |0 # BOX DRAWINGS LIGHT UP AND HORIZONTAL
+<U253C> \x8A |0 # BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
+<U2580> \x8B |0 # UPPER HALF BLOCK
+<U2584> \x8C |0 # LOWER HALF BLOCK
+<U2588> \x8D |0 # FULL BLOCK
+<U258C> \x8E |0 # LEFT HALF BLOCK
+<U2590> \x8F |0 # RIGHT HALF BLOCK
+<U2591> \x90 |0 # LIGHT SHADE
+<U2592> \x91 |0 # MEDIUM SHADE
+<U2593> \x92 |0 # DARK SHADE
+<U2320> \x93 |0 # TOP HALF INTEGRAL
+<U25A0> \x94 |0 # BLACK SQUARE
+<U2022> \x95 |0 # BULLET
+<U221A> \x96 |0 # SQUARE ROOT
+<U2248> \x97 |0 # ALMOST EQUAL TO
+<U2264> \x98 |0 # LESS-THAN OR EQUAL TO
+<U2265> \x99 |0 # GREATER-THAN OR EQUAL TO
+<U00A0> \x9A |0 # NO-BREAK SPACE
+<U2321> \x9B |0 # BOTTOM HALF INTEGRAL
+<U00B0> \x9C |0 # DEGREE SIGN
+<U00B2> \x9D |0 # SUPERSCRIPT TWO
+<U00B7> \x9E |0 # MIDDLE DOT
+<U00F7> \x9F |0 # DIVISION SIGN
+<U2550> \xA0 |0 # BOX DRAWINGS DOUBLE HORIZONTAL
+<U2551> \xA1 |0 # BOX DRAWINGS DOUBLE VERTICAL
+<U2552> \xA2 |0 # BOX DRAWINGS DOWN SINGLE AND RIGHT DOUBLE
+<U0451> \xA3 |0 # CYRILLIC SMALL LETTER IO
+<U0454> \xA4 |0 # CYRILLIC SMALL LETTER UKRAINIAN IE
+<U2554> \xA5 |0 # BOX DRAWINGS DOUBLE DOWN AND RIGHT
+<U0456> \xA6 |0 # CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
+<U0457> \xA7 |0 # CYRILLIC SMALL LETTER YI
+<U2557> \xA8 |0 # BOX DRAWINGS DOUBLE DOWN AND LEFT
+<U2558> \xA9 |0 # BOX DRAWINGS UP SINGLE AND RIGHT DOUBLE
+<U2559> \xAA |0 # BOX DRAWINGS UP DOUBLE AND RIGHT SINGLE
+<U255A> \xAB |0 # BOX DRAWINGS DOUBLE UP AND RIGHT
+<U255B> \xAC |0 # BOX DRAWINGS UP SINGLE AND LEFT DOUBLE
+<U0491> \xAD |0 # CYRILLIC SMALL LETTER GHE WITH UPTURN
+<U255D> \xAE |0 # BOX DRAWINGS DOUBLE UP AND LEFT
+<U255E> \xAF |0 # BOX DRAWINGS VERTICAL SINGLE AND RIGHT DOUBLE
+<U255F> \xB0 |0 # BOX DRAWINGS VERTICAL DOUBLE AND RIGHT SINGLE
+<U2560> \xB1 |0 # BOX DRAWINGS DOUBLE VERTICAL AND RIGHT
+<U2561> \xB2 |0 # BOX DRAWINGS VERTICAL SINGLE AND LEFT DOUBLE
+<U0401> \xB3 |0 # CYRILLIC CAPITAL LETTER IO
+<U0404> \xB4 |0 # CYRILLIC CAPITAL LETTER UKRAINIAN IE
+<U2563> \xB5 |0 # BOX DRAWINGS DOUBLE VERTICAL AND LEFT
+<U0406> \xB6 |0 # CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
+<U0407> \xB7 |0 # CYRILLIC CAPITAL LETTER YI
+<U2566> \xB8 |0 # BOX DRAWINGS DOUBLE DOWN AND HORIZONTAL
+<U2567> \xB9 |0 # BOX DRAWINGS UP SINGLE AND HORIZONTAL DOUBLE
+<U2568> \xBA |0 # BOX DRAWINGS UP DOUBLE AND HORIZONTAL SINGLE
+<U2569> \xBB |0 # BOX DRAWINGS DOUBLE UP AND HORIZONTAL
+<U256A> \xBC |0 # BOX DRAWINGS VERTICAL SINGLE AND HORIZONTAL DOUBLE
+<U0490> \xBD |0 # CYRILLIC CAPITAL LETTER GHE WITH UPTURN
+<U256C> \xBE |0 # BOX DRAWINGS DOUBLE VERTICAL AND HORIZONTAL
+<U00A9> \xBF |0 # COPYRIGHT SIGN
+<U044E> \xC0 |0 # CYRILLIC SMALL LETTER YU
+<U0430> \xC1 |0 # CYRILLIC SMALL LETTER A
+<U0431> \xC2 |0 # CYRILLIC SMALL LETTER BE
+<U0446> \xC3 |0 # CYRILLIC SMALL LETTER TSE
+<U0434> \xC4 |0 # CYRILLIC SMALL LETTER DE
+<U0435> \xC5 |0 # CYRILLIC SMALL LETTER IE
+<U0444> \xC6 |0 # CYRILLIC SMALL LETTER EF
+<U0433> \xC7 |0 # CYRILLIC SMALL LETTER GHE
+<U0445> \xC8 |0 # CYRILLIC SMALL LETTER HA
+<U0438> \xC9 |0 # CYRILLIC SMALL LETTER I
+<U0439> \xCA |0 # CYRILLIC SMALL LETTER SHORT I
+<U043A> \xCB |0 # CYRILLIC SMALL LETTER KA
+<U043B> \xCC |0 # CYRILLIC SMALL LETTER EL
+<U043C> \xCD |0 # CYRILLIC SMALL LETTER EM
+<U043D> \xCE |0 # CYRILLIC SMALL LETTER EN
+<U043E> \xCF |0 # CYRILLIC SMALL LETTER O
+<U043F> \xD0 |0 # CYRILLIC SMALL LETTER PE
+<U044F> \xD1 |0 # CYRILLIC SMALL LETTER YA
+<U0440> \xD2 |0 # CYRILLIC SMALL LETTER ER
+<U0441> \xD3 |0 # CYRILLIC SMALL LETTER ES
+<U0442> \xD4 |0 # CYRILLIC SMALL LETTER TE
+<U0443> \xD5 |0 # CYRILLIC SMALL LETTER U
+<U0436> \xD6 |0 # CYRILLIC SMALL LETTER ZHE
+<U0432> \xD7 |0 # CYRILLIC SMALL LETTER VE
+<U044C> \xD8 |0 # CYRILLIC SMALL LETTER SOFT SIGN
+<U044B> \xD9 |0 # CYRILLIC SMALL LETTER YERU
+<U0437> \xDA |0 # CYRILLIC SMALL LETTER ZE
+<U0448> \xDB |0 # CYRILLIC SMALL LETTER SHA
+<U044D> \xDC |0 # CYRILLIC SMALL LETTER E
+<U0449> \xDD |0 # CYRILLIC SMALL LETTER SHCHA
+<U0447> \xDE |0 # CYRILLIC SMALL LETTER CHE
+<U044A> \xDF |0 # CYRILLIC SMALL LETTER HARD SIGN
+<U042E> \xE0 |0 # CYRILLIC CAPITAL LETTER YU
+<U0410> \xE1 |0 # CYRILLIC CAPITAL LETTER A
+<U0411> \xE2 |0 # CYRILLIC CAPITAL LETTER BE
+<U0426> \xE3 |0 # CYRILLIC CAPITAL LETTER TSE
+<U0414> \xE4 |0 # CYRILLIC CAPITAL LETTER DE
+<U0415> \xE5 |0 # CYRILLIC CAPITAL LETTER IE
+<U0424> \xE6 |0 # CYRILLIC CAPITAL LETTER EF
+<U0413> \xE7 |0 # CYRILLIC CAPITAL LETTER GHE
+<U0425> \xE8 |0 # CYRILLIC CAPITAL LETTER HA
+<U0418> \xE9 |0 # CYRILLIC CAPITAL LETTER I
+<U0419> \xEA |0 # CYRILLIC CAPITAL LETTER SHORT I
+<U041A> \xEB |0 # CYRILLIC CAPITAL LETTER KA
+<U041B> \xEC |0 # CYRILLIC CAPITAL LETTER EL
+<U041C> \xED |0 # CYRILLIC CAPITAL LETTER EM
+<U041D> \xEE |0 # CYRILLIC CAPITAL LETTER EN
+<U041E> \xEF |0 # CYRILLIC CAPITAL LETTER O
+<U041F> \xF0 |0 # CYRILLIC CAPITAL LETTER PE
+<U042F> \xF1 |0 # CYRILLIC CAPITAL LETTER YA
+<U0420> \xF2 |0 # CYRILLIC CAPITAL LETTER ER
+<U0421> \xF3 |0 # CYRILLIC CAPITAL LETTER ES
+<U0422> \xF4 |0 # CYRILLIC CAPITAL LETTER TE
+<U0423> \xF5 |0 # CYRILLIC CAPITAL LETTER U
+<U0416> \xF6 |0 # CYRILLIC CAPITAL LETTER ZHE
+<U0412> \xF7 |0 # CYRILLIC CAPITAL LETTER VE
+<U042C> \xF8 |0 # CYRILLIC CAPITAL LETTER SOFT SIGN
+<U042B> \xF9 |0 # CYRILLIC CAPITAL LETTER YERU
+<U0417> \xFA |0 # CYRILLIC CAPITAL LETTER ZE
+<U0428> \xFB |0 # CYRILLIC CAPITAL LETTER SHA
+<U042D> \xFC |0 # CYRILLIC CAPITAL LETTER E
+<U0429> \xFD |0 # CYRILLIC CAPITAL LETTER SHCHA
+<U0427> \xFE |0 # CYRILLIC CAPITAL LETTER CHE
+<U042A> \xFF |0 # CYRILLIC CAPITAL LETTER HARD SIGN
+END CHARMAP
Index: files/patch-ab
===================================================================
RCS file: /meow/ncvs/ports/devel/icu2/files/patch-ab,v
retrieving revision 1.1
diff -U2 -r1.1 patch-ab
--- files/patch-ab	14 Mar 2004 02:02:08 -0000	1.1
+++ files/patch-ab	15 Nov 2004 16:44:09 -0000
@@ -1,10 +1,10 @@
---- source/configure.orig	Tue Feb 17 09:08:47 2004
-+++ source/configure	Tue Feb 17 09:13:53 2004
-@@ -1874,236 +1874,10 @@
+--- source/configure	Thu Jun 10 17:39:20 2004
++++ source/configure	Mon Nov 15 11:43:33 2004
+@@ -1973,246 +1973,8 @@
  
  if test $threads = true; then
-            
+-           
 -  echo $ac_n "checking for pthread_attr_init in -lpthread""... $ac_c" 1>&6
--echo "configure:1879: checking for pthread_attr_init in -lpthread" >&5
+-echo "configure:1978: checking for pthread_attr_init in -lpthread" >&5
 -ac_lib_var=`echo pthread'_'pthread_attr_init | sed 'y%./+-%__p_%'`
 -if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -14,5 +14,5 @@
 -LIBS="-lpthread  $LIBS"
 -cat > conftest.$ac_ext <<EOF
--#line 1887 "configure"
+-#line 1986 "configure"
 -#include "confdefs.h"
 -/* Override any gcc2 internal prototype to avoid an error.  */
@@ -25,5 +25,5 @@
 -; return 0; }
 -EOF
--if { (eval echo configure:1898: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+-if { (eval echo configure:1997: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
 -  rm -rf conftest*
 -  eval "ac_cv_lib_$ac_lib_var=yes"
@@ -58,5 +58,5 @@
 -   
 -echo $ac_n "checking for library containing pthread_mutex_destroy""... $ac_c" 1>&6
--echo "configure:1931: checking for library containing pthread_mutex_destroy" >&5
+-echo "configure:2030: checking for library containing pthread_mutex_destroy" >&5
 -if eval "test \"`echo '$''{'ac_cv_search_pthread_mutex_destroy'+set}'`\" = set"; then
 -  echo $ac_n "(cached) $ac_c" 1>&6
@@ -67,5 +67,5 @@
 -LIBS="-l$i  $ac_func_search_save_LIBS"
 -cat > conftest.$ac_ext <<EOF
--#line 1940 "configure"
+-#line 2039 "configure"
 -#include "confdefs.h"
 -/* Override any gcc2 internal prototype to avoid an error.  */
@@ -78,5 +78,5 @@
 -; return 0; }
 -EOF
--if { (eval echo configure:1951: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+-if { (eval echo configure:2050: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
 -  rm -rf conftest*
 -  ac_cv_search_pthread_mutex_destroy="-l$i"
@@ -90,5 +90,5 @@
 -if test "$ac_cv_search_pthread_mutex_destroy" = "no"; then
 -cat > conftest.$ac_ext <<EOF
--#line 1963 "configure"
+-#line 2062 "configure"
 -#include "confdefs.h"
 -/* Override any gcc2 internal prototype to avoid an error.  */
@@ -101,5 +101,5 @@
 -; return 0; }
 -EOF
--if { (eval echo configure:1974: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+-if { (eval echo configure:2073: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
 -  rm -rf conftest*
 -  ac_cv_search_pthread_mutex_destroy="none required"
@@ -125,5 +125,5 @@
 -   else
 -        echo $ac_n "checking for pthread_mutex_init in -lpthread""... $ac_c" 1>&6
--echo "configure:1998: checking for pthread_mutex_init in -lpthread" >&5
+-echo "configure:2097: checking for pthread_mutex_init in -lpthread" >&5
 -ac_lib_var=`echo pthread'_'pthread_mutex_init | sed 'y%./+-%__p_%'`
 -if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -133,5 +133,5 @@
 -LIBS="-lpthread  $LIBS"
 -cat > conftest.$ac_ext <<EOF
--#line 2006 "configure"
+-#line 2105 "configure"
 -#include "confdefs.h"
 -/* Override any gcc2 internal prototype to avoid an error.  */
@@ -144,5 +144,5 @@
 -; return 0; }
 -EOF
--if { (eval echo configure:2017: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+-if { (eval echo configure:2116: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
 -  rm -rf conftest*
 -  eval "ac_cv_lib_$ac_lib_var=yes"
@@ -177,10 +177,10 @@
 -
 -   echo $ac_n "checking for pthread_mutex_lock""... $ac_c" 1>&6
--echo "configure:2050: checking for pthread_mutex_lock" >&5
+-echo "configure:2149: checking for pthread_mutex_lock" >&5
 -if eval "test \"`echo '$''{'ac_cv_func_pthread_mutex_lock'+set}'`\" = set"; then
 -  echo $ac_n "(cached) $ac_c" 1>&6
 -else
 -  cat > conftest.$ac_ext <<EOF
--#line 2055 "configure"
+-#line 2154 "configure"
 -#include "confdefs.h"
 -/* System header to define __stub macros and hopefully few prototypes,
@@ -205,5 +205,5 @@
 -; return 0; }
 -EOF
--if { (eval echo configure:2078: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+-if { (eval echo configure:2177: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
 -  rm -rf conftest*
 -  eval "ac_cv_func_pthread_mutex_lock=yes"
@@ -233,4 +233,15 @@
 -              ICU_USE_THREADS=1
 -     fi ;;
+-   *-*-hpux*)
+-          case "${icu_cv_host_frag}" in
+-       mh-hpux-acc)
+-         OLD_CXXFLAGS="${CXXFLAGS}"
+-         CXXFLAGS="${CXXFLAGS} -mt"
+-         if test x"`${CXX} ${CXXFLAGS} 2>&1`" != x""; then
+-           CXXFLAGS="${OLD_CXXFLAGS}"
+-         fi
+-       ;;
+-     esac
+-     ;;
 -   esac
 -  fi
@@ -241,3 +252,2 @@
  fi
  
- 
Index: files/patch-cc-flags
===================================================================
RCS file: files/patch-cc-flags
diff -N files/patch-cc-flags
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-cc-flags	15 Nov 2004 16:07:58 -0000
@@ -0,0 +1,27 @@
+--- source/runConfigureICU	Fri Jan 16 17:26:40 2004
++++ source/runConfigureICU	Mon Nov 15 11:05:50 2004
+@@ -289,7 +289,7 @@
+     *BSD)
+-        THE_OS="BSD"
++        THE_OS="$platform"
+-        THE_COMP="the GNU C++"
+-        CC=gcc; export CC
+-        CXX=g++; export CXX
++        CC=${CC:=cc}; export CC
++        CXX=${CXX:=c++}; export CXX
++        THE_COMP="`$CC -v | fgrep -i ver`" # works with icc and gcc at least
+         ;;
+     QNX)
+@@ -358,12 +358,4 @@
+ if test $release -eq 1
+ then
+-    if test "$RELEASE_CFLAGS" = ""
+-    then
+-        case $CC in
+-            gcc|*/gcc|*-gcc-*|*/*-gcc-*)
+-                RELEASE_CFLAGS=-O3
+-                ;;
+-        esac
+-    fi
+     if test "$RELEASE_CFLAGS" != ""
+     then
Index: files/patch-convrtrs
===================================================================
RCS file: files/patch-convrtrs
diff -N files/patch-convrtrs
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-convrtrs	15 Nov 2004 16:27:38 -0000
@@ -0,0 +1,10 @@
+--- source/data/mappings/convrtrs.txt	Wed Sep 15 18:10:20 2004
++++ source/data/mappings/convrtrs.txt	Thu Sep 16 12:23:59 2004
+@@ -646,6 +646,7 @@
+ ibm-868_P100-1995 { UTR22* }    ibm-868 { IBM* } IBM868 { IANA* JAVA } CP868 { IANA MIME* JAVA* } 868 { JAVA } csIBM868 { IANA } cp-ar { IANA }          # PC Urdu
+ ibm-869_P100-1995 { UTR22* }    ibm-869 { IBM* } IBM869 { IANA* WINDOWS JAVA } cp869 { IANA MIME* JAVA* } 869 { IANA JAVA } cp-gr { IANA JAVA } csIBM869 { IANA JAVA } windows-869 { WINDOWS* } # PC Greek (w/o euro update)
+ ibm-878_P100-1996 { UTR22* }    ibm-878 { IBM* } KOI8-R { IANA* MIME* JAVA* } koi8 { JAVA } csKOI8R { IANA JAVA } cp878   # Russian internet
++koi8-u { MIME* JAVA* }          KOI8-RU { MIME JAVA } # Ukrainian KOI RFC2319
+ ibm-901_P100-1999 { UTR22* }    ibm-901 { IBM* } # PC Baltic (w/ euro update), update of ibm-921
+ ibm-902_P100-1999 { UTR22* }    ibm-902 { IBM* } # PC Estonian (w/ euro update), update of ibm-922
+ ibm-922_P100-1999 { UTR22* }    ibm-922 { IBM* JAVA }   cp922 { MIME* JAVA* } 922 { JAVA } # PC Estonian (w/o euro update)
Index: files/patch-uk
===================================================================
RCS file: files/patch-uk
diff -N files/patch-uk
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-uk	15 Nov 2004 19:27:51 -0000
@@ -0,0 +1,22 @@
+--- source/data/locales/uk.txt	Tue May 25 18:43:48 2004
++++ source/data/locales/uk.txt	Mon Nov 15 14:26:39 2004
+@@ -419,9 +419,7 @@
+     }
+ 
+-
+-    // TODO: Can someone supply me with information on negatives and decimals?
+-    // How about words for billions and trillions?
+-
+     SpelloutRules {
++	"-x: \u043C\u0456\u043D\u0443\u0441 >>;\n"
++	"x.x: << \u043A\u043E\u043C\u0430 >>;\n"
+         "\u043D\u0443\u043B\u044C; \u043E\u0434\u0438\u043D; \u0434\u0432\u0430; \u0442\u0440\u0438; "
+         "\u0447\u043E\u0442\u0438\u0440\u0438; \u043F\u02bc\u044F\u0442\u044C; \u0448\u0456\u0441\u0442\u044C; "
+@@ -460,5 +458,6 @@
+         "2,000,000: << \u043C\u0456\u043B\u044C\u0439\u043E\u043D\u0438[ >>];\n"
+         "5,000,000: << \u043C\u0456\u043B\u044C\u0439\u043E\u043D\u0456\u0432[ >>];\n"
+-        "1,000,000,000: << \u043C\u0456\u043B\u044C\u044F\u0440\u0434[ >>];" 
++        "1,000,000,000: << \u043C\u0456\u043B\u044C\u044F\u0440\u0434[ >>];\n"
++        "1,000,000,000,000: << \u0442\u0440\u0456\u043B\u043B\u0456\u043E\u043D[ >>];"
+     }
+     calendar{
